%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A removable volume manager for Thunar
Name:		thunar-volman
Version:	4.18.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/thunar-plugins/thunar-volman
Source0:	https://archive.xfce.org/src/xfce/thunar-volman/%{url_ver}/thunar-volman-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(exo-2) >= 4.18.0
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.18.0
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.18.0
BuildRequires:	pkgconfig(libxfconf-0) >= 4.18.0
Requires:	thunar
Requires:	dbus
Requires:	gvfs

%description
The Thunar Volume Manager is an extension for the Thunar file manager, which
enables automatic management of removable drives and media. For example, if
thunar-volman is installed and configured properly, and you plug in your
digital camera, it will automatically launch your preferred photo application
and import the new pictures from the camera into your photo collection.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--enable-notifications
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS THANKS README.md
%{_bindir}/thunar-volman
%{_bindir}/thunar-volman-settings
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/applications/thunar-volman-settings.desktop
